Get Channel Metafield
Returns a single channel metafield.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Channel Listings | modify | `store_channel_listings` |
| Channel Listings | read-only | `store_channel_listings_read_only` |
| Channel Settings | modify | `store_channel_settings` |
| Channel Settings | read-only | `store_channel_settings_read_only` |
| Sites & Routes | modify | `store_sites` |
| Sites & Routes | read-only | `store_sites_read_only` |
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Path parameters
channel_id
metafield_id
Response
OK
id
Unique ID of the Metafield.
permission_set
Determines the visibility and writeability of the field by other API consumers.
|Value|Description
|-|-|
|`app_only`|Private to the app that owns the field|
|`read`|Visible to other API consumers|
|`write`|Open for reading and writing by other API consumers|
|`read_and_sf_access`|Visible to other API consumers, including on storefront|
|`write_and_sf_access`|Open for reading and writing by other API consumers, including on storefront|
Allowed values:
namespace
Namespace for the metafield, for organizational purposes.
key
The name of the field, for example: location_id, color.
value
The value of the field.
description
Description for the metafields.
resource_type
The type of resource with which the metafield is associated.
Allowed values:
resource_id
The ID for the resource with which the metafield is associated.
date_created
Date and time of the metafieldʼs creation. Read-Only.
date_modified
Date and time when the metafield was last updated. Read-Only.
Errors
404
Not Found Error